Why won't F-Secure let MetaTrader work

Metatrader (MT4) users currently cannot run their application if F-Secure/SuperSafe is active.

 

They receive a terminal.exe "intialisation error 4". This doesnot happen when F-Secure is deactivated

 

This has been documented in a no. of places e.g. here

 

SO my question is, WHEN WILL THIS ISSUE BE FIXED??

 

 

Best Answer

  • VilleVille Posts: 484
    Accepted Answer

    Hi @Lawrence

     

    When our product blocks something because it's malware or suspicious, it will always show a flyer or dialog about it. In this scenario I couldn't see such flyer, so we are not actually blocking anything. The problem is on Metatrader side, usually caused by some integrity check or copy protection that reacts to DeepGuard.

     

    You can check if this is the problem by going to our main UI > Settings > DeepGuard and enable "compatibility mode". If this fixes the issue I wouldn't recommened leaving the compatibility mode on, because it affects all software. Instead you can go to main UI > Settings > Virus protection > Exclude files from the scan and add terminal.exe to the "Objects" tab. Then you can turn compatiblity mode off again.

     

    Ville

    (F-Secure R&D)

     

Comments

This discussion has been closed.